Index: trunk/src/subprojects/collision_detection/collision_detection.cc
===================================================================
--- trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 7256)
+++ trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 7711)
@@ -48,4 +48,6 @@
 //Terrain* c;
 bool animateModel = false;
+
+
 
 void Framework::moduleInit(int argc, char** argv)
@@ -76,21 +78,28 @@
 //   CDEngine::getInstance()->debugSpawnTree(9, (sVec3D*)mod->getVertexArray(), mod->getVertexArrayCount());
 
-
-
-  entityList = new tList<WorldEntity>();
-
-//   a = new TestEntity(); a->setName("Clown1");
-   b = new CollisionTestEntity(); b->setName("Jaeger");
+   entityList = new tList<WorldEntity>();
+
    if (argc > 1)
    {
      printf("Loading model %s\n", argv[1]);
-     b->loadModel(argv[1]);
+     b = new CollisionTestEntity(argv[1]); b->setName("Jaeger");
    }
-//   a = new Terrain();
-
+   else
+   {
+     printf("----------------------- WARNING ---------------------\n\n");
+     printf("no path specified, using default model: models/ships/fighter.obj\n\n");
+     printf("----------------------- WARNING ---------------------\n");
+     b = new CollisionTestEntity("models/test/cd_test_0.obj"); b->setName("Jaeger");
+   }
 //   b->setRelCoor(0.0, 0.0, -20.0);
 //   b->setRelDir(Quaternion(-M_PI/2.0f, Vector(0.0, 1.0, 0.0)));
-
-  entityList->add(b);
+   if(b != NULL)
+     printf("model successfully loaded\n");
+   entityList->add(b);
+
+
+//   a = new Terrain();
+
+
 //   entityList->add(b);
 
@@ -261,5 +270,5 @@
       entity->draw();
     entity->drawBVTree(depth, drawMode);
-    printf("%i, %i\n", depth, drawMode);
+   // printf("%i, %i\n", depth, drawMode);
     entity = iterator->nextElement();
   }
Index: trunk/src/subprojects/collision_detection/collision_test_entity.cc
===================================================================
--- trunk/src/subprojects/collision_detection/collision_test_entity.cc	(revision 7256)
+++ trunk/src/subprojects/collision_detection/collision_test_entity.cc	(revision 7711)
@@ -31,11 +31,10 @@
  *  creates an environment
 */
-CollisionTestEntity::CollisionTestEntity () : WorldEntity()
+CollisionTestEntity::CollisionTestEntity (const char* modelName) : WorldEntity()
 {
   this->init();
-  this->loadModel("models/ships/reaplow.obj");
-  //  this->loadModel("models/ships/figther.obj");
+  this->loadModel(modelName, 1.0f, 0, 10);
+/*  this->buildObbTree(0);*/
 
-  this->buildObbTree(10);
 }
 
@@ -81,3 +80,2 @@
 void CollisionTestEntity::tick (float time) {}
 
-
Index: trunk/src/subprojects/collision_detection/collision_test_entity.h
===================================================================
--- trunk/src/subprojects/collision_detection/collision_test_entity.h	(revision 7256)
+++ trunk/src/subprojects/collision_detection/collision_test_entity.h	(revision 7711)
@@ -19,5 +19,5 @@
 
  public:
-  CollisionTestEntity ();
+  CollisionTestEntity (const char* modelName);
   CollisionTestEntity (const TiXmlElement* root);
   virtual ~CollisionTestEntity ();
Index: trunk/src/subprojects/framework.cc
===================================================================
--- trunk/src/subprojects/framework.cc	(revision 7256)
+++ trunk/src/subprojects/framework.cc	(revision 7711)
@@ -34,6 +34,8 @@
   LightManager::getInstance();
 
-  const char* dataPath;
-  if ((dataPath = Preferences::getInstance()->getString(CONFIG_SECTION_DATA, CONFIG_NAME_DATADIR, ""))!= NULL)
+  std::string dataPath = //Preferences::getInstance()->getString(CONFIG_SECTION_DATA, CONFIG_NAME_DATADIR, "");
+      "/home/boenzlip/orxonox/data/trunk/";
+  printf("%s\n", dataPath.c_str());
+  if (!dataPath.empty())
   {
     if (!ResourceManager::getInstance()->setDataDir(dataPath))
@@ -48,5 +50,5 @@
     PRINTF(1)("The DataDirectory %s could not be verified\n" \
         "  Please Change in File %s Section %s Entry %s to a suitable value\n",
-    ResourceManager::getInstance()->getDataDir(),
+    ResourceManager::getInstance()->getDataDir().c_str(),
     DEFAULT_CONFIG_FILE,
     CONFIG_SECTION_DATA,
